Package org.tmatesoft.svn.core.wc

# Class SVNPropertyConflictDescription

java.lang.Object
org.tmatesoft.svn.core.wc.SVNConflictDescription
org.tmatesoft.svn.core.wc.SVNPropertyConflictDescription

public class SVNPropertyConflictDescription extends SVNConflictDescription
SVNPropertyConflictDescription brings a property conflict description.

Since:
  1.3
Version:
  1.3
Author:
  TMate Software Ltd.

## Constructor Summary

Constructors
Constructor
Description
`SVNPropertyConflictDescription(SVNMergeFileSet mergeFiles, SVNNodeKind nodeKind, String propertyName, SVNConflictAction conflictAction, SVNConflictReason conflictReason)`
Creates a new `SVNPropertyConflictDescription` object.

## Method Summary

Modifier and Type
Method
Description
`String`
`getPropertyName()`
Returns the name of the property, on which the conflict occurred.
`boolean`
`isPropertyConflict()`
Returns `true`.
`boolean`
`isTextConflict()`
Returns `false`.
`boolean`
`isTreeConflict()`
Returns `false`.

### Methods inherited from class org.tmatesoft.svn.core.wc.SVNConflictDescription

`getConflictAction, getConflictReason, getMergeFiles, getNodeKind, getPath, setConflictAction`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SVNPropertyConflictDescription

public SVNPropertyConflictDescription(SVNMergeFileSet mergeFiles, SVNNodeKind nodeKind, String propertyName, SVNConflictAction conflictAction, SVNConflictReason conflictReason)
Creates a new `SVNPropertyConflictDescription` object.

Parameters:
  `mergeFiles` - files involved in a property conflict
  `nodeKind` - kind of the conflicted node
  `propertyName` - versioned property name
  `conflictAction` - action lead to the conflict
  `conflictReason` - the reason why the conflict occurred
Since:
  1.3

## Method Details

### isTextConflict

public boolean isTextConflict()
Returns `false`.

Specified by:
  `isTextConflict` in class `SVNConflictDescription`
Returns:
  `false`
Since:
  1.3

### isPropertyConflict

public boolean isPropertyConflict()
Returns `true`.

Specified by:
  `isPropertyConflict` in class `SVNConflictDescription`
Returns:
  `true`
Since:
  1.3

### isTreeConflict

public boolean isTreeConflict()
Returns `false`.

Specified by:
  `isTreeConflict` in class `SVNConflictDescription`
Returns:
  `false`
Since:
  1.3

### getPropertyName

public String getPropertyName()
Returns the name of the property, on which the conflict occurred.

Specified by:
  `getPropertyName` in class `SVNConflictDescription`
Returns:
  conflicted property name
Since:
  1.3